<style scoped lang="scss">
.faded {
  opacity: 0.25;

  &:hover {
    opacity: 1;
  }
}
</style>

<template>
  <div class="c-flex row justify-between">
    <slot></slot>

    <v-tooltip bottom>
      <template v-slot:activator="{ on }">
        <v-icon @click="copyToClipBoard(copyContent)" v-on="on" :small="small" :class="{ faded: faded }"
          >file_copy</v-icon
        >
      </template>
      <span
        >Kopiert <strong>{{ copyContent }}</strong> in die Zwischenablage</span
      >
    </v-tooltip>
  </div>
</template>

<script>
export default {
  props: {
    copyContent: String,
    faded: {
      type: Boolean,
      default: true,
    },
    small: {
      type: Boolean,
      default: true,
    },
  },

  methods: {
    copyToClipBoard(copyContent) {
      const element = document.createElement("textarea");
      element.value = copyContent;
      document.body.appendChild(element);
      element.select();
      document.execCommand("copy");
      document.body.removeChild(element);

      this.$notifier.info(`${copyContent} wurde in die Zwischenablage kopiert.`);
    },
  },
};
</script>
